|  | Home · All Classes · All Functions · Overviews

# QStyleOptionDockWidget Class Reference
[QtGui module]

The QStyleOptionDockWidget class is used to describe the parameters for drawing a dock widget. More...

     #include <QStyleOptionDockWidget>

Inherits QStyleOption.

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionDockWidget ()
| QStyleOptionDockWidget ( const QStyleOptionDockWidget & other )

- 2 public functions inherited from QStyleOption

## Public Variables

bool | closable
bool | floatable
bool | movable
QString | title

- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionDockWidget class is used to describe the parameters for drawing a dock widget.

QStyleOptionDockWidget contains all the information that QStyle functions need to draw graphical elements like QDockWidget.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption.

## Member Type Documentation

### enum QStyleOptionDockWidget::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionDockWidget::Type` | `SO_DockWidget` | The type of style option provided (SO_DockWidget for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionDockWidget::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionDockWidget::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionDockWidget::QStyleOptionDockWidget ()

Constructs a QStyleOptionDockWidget, initializing the member variables to their default values.

### QStyleOptionDockWidget::QStyleOptionDockWidget ( const QStyleOptionDockWidget & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### bool QStyleOptionDockWidget::closable

This variable holds whether the dock window is closable.

The default value is true.

### bool QStyleOptionDockWidget::floatable

This variable holds whether the dock window is floatable.

The default value is true.

### bool QStyleOptionDockWidget::movable

This variable holds whether the dock window is movable.

The default value is false.

### QString QStyleOptionDockWidget::title

This variable holds the title of the dock window.

The default value is an empty string.